Subject: bug#43308: 28.0.50; Improvements to Edit->Search menu

From: Eli Zaretskii <[email-masked]>
Date: Tue, 22 Sep 2020 17:19:11 +0300

> From: Juri Linkov <[email-masked]>
> Cc: Eli Zaretskii <[email-masked]>,  Ihor Radchenko <[email-masked]>,
>   [email-masked],  [email-masked]
> Date: Tue, 22 Sep 2020 11:04:58 +0300
> 
> >> Why no keybindings are shown for nonincremental menu items?
> >> They still have keybindings, e.g. nonincremental forward search
> >> can be started with 'C-s RET', nonincremental backward search
> >> with 'C-r RET', nonincremental regexp search 'C-M-s RET', etc.
> >
> > I suppose I could add some explicitly, with :keys.
> > That makes sense.  Unfortunately, none show up
> > automatically.  It would be good to somehow fix that.
> 
> How about the following patch?

But the keys this will show don't invoke the same commands, they
invoke slightly different commands, don't they?  I don't think we ever
show keys that invoke a different command, why do this here?

> Another problem is that selecting "Continue Tags Search"
> signals the error:
> 
> emacs -Q
> Select "Edit" -> "Search" -> "Continue Tags Search"
> 
>   Lisp error: (wrong-type-argument commandp fileloop-continue)

I guess this is a leftover from migration to Xref.

> I think "Continue Tags Search" should be disabled when it has no effect.

Yes, it should be.

Thanks.